[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#76080: marked as done (Debauch seems incompatible with gdb (fwd))



Your message dated Tue, 26 Jun 2001 14:54:43 -0400
with message-id <E15Exz1-0004uR-00@auric.debian.org>
and subject line Bug#76080: fixed in debauch 0.6-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Darren Benham
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 2 Nov 2000 08:06:20 +0000
>From apenwarr@worldvisions.ca Thu Nov 02 02:06:20 2000
Return-path: <apenwarr@worldvisions.ca>
Received: from (tangent.worldvisions.ca) [::ffff:204.239.180.4] 
	by master.debian.org with smtp (Exim 3.12 1 (Debian))
	id 13rFO8-0005wI-00; Thu, 02 Nov 2000 02:06:20 -0600
Received: (qmail 12315 invoked by uid 1000); 2 Nov 2000 08:06:22 -0000
Date: Thu, 2 Nov 2000 00:06:22 -0800
From: Avery Pennarun <apenwarr@worldvisions.ca>
To: submit@bugs.debian.org
Subject: Debauch seems incompatible with gdb (fwd)
Message-ID: <20001102000622.B12300@worldvisions.ca>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
User-Agent: Mutt/1.0.1i
Delivered-To: submit@bugs.debian.org

Package: debauch
Version: 0.3-11
Severity: normal

Hi,

I made a few changes that cause debauch to work much better with the version
of gdb in potato (and hopefully the one in woody as well).  The patch is
attached below.

I think a bug in gdb or readline prevents it from being able to accept stdin
if it comes from a pipe; redirecting from a file seems to work okay,
presumably because you can do lseek() then.  I don't know why it would try
to seek on stdin, though.  Perhaps someone should submit a bug against gdb
as well.

Have fun,

Avery


--- /usr/bin/debauch	Tue Nov  2 11:40:52 1999
+++ debauch	Wed Nov  1 23:57:35 2000
@@ -1,4 +1,4 @@
-#!/bin/sh 
+#!/bin/bash 
 #
 #
 # debauch: find memory errors
@@ -26,7 +26,8 @@
 SED=$OBJ.$$.sed
 ADDRS=$OBJ.$$.addrs
 GDBCMD=$OBJ.$$.gdb
-trap "rm -f $SED $LINES $ADDRS $OUT $GDBCMD" 0
+GDBIN=$OBJ.$$.gdbin
+trap "rm -f $SED $LINES $ADDRS $OUT $GDBIN $GDBCMD" 0
 shift
 
 #
@@ -65,10 +66,14 @@
 run
 EOF
 
-sed 's;^;info line *;' $ADDRS |
-      gdb $OBJ -x $GDBCMD | grep 'address' | 
+(echo set width 10240;
+	sed 's;^;info line *;' $ADDRS;
+	echo quit ) >$GDBIN
+	
+gdb $OBJ -x $GDBCMD <$GDBIN | grep 'address' | 
       sed 's/No line number information available for/Line ?? of "???" starts at/' |
       sed 's/(gdb) //' > $LINES
+rm -f $GDBIN
 
 #cat $LINES
 

---------------------------------------
Received: (at 76080-close) by bugs.debian.org; 26 Jun 2001 19:05:13 +0000
>From troup@auric.debian.org Tue Jun 26 14:05:13 2001
Return-path: <troup@auric.debian.org>
Received: from klecker.debian.org [::ffff:198.186.203.20] 
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 15Ey9A-00038V-00; Tue, 26 Jun 2001 14:05:12 -0500
Received: from auric.debian.org [206.246.226.45] (mail)
	by klecker.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 15Ey99-0003cA-00; Tue, 26 Jun 2001 12:05:11 -0700
Received: from troup by auric.debian.org with local (Exim 3.12 1 (Debian))
	id 15Exz1-0004uR-00; Tue, 26 Jun 2001 14:54:43 -0400
From: RISKO Gergely <risko@debian.org>
To: 76080-close@bugs.debian.org
X-Katie: $Revision: 1.50 $
Subject: Bug#76080: fixed in debauch 0.6-1
Message-Id: <E15Exz1-0004uR-00@auric.debian.org>
Sender: James Troup <troup@auric.debian.org>
Date: Tue, 26 Jun 2001 14:54:43 -0400
Delivered-To: 76080-close@bugs.debian.org

We believe that the bug you reported is fixed in the latest version of
debauch, which has been installed in the Debian FTP archive:

debauch_0.6.orig.tar.gz
  to pool/main/d/debauch/debauch_0.6.orig.tar.gz
debauch_0.6-1.dsc
  to pool/main/d/debauch/debauch_0.6-1.dsc
debauch_0.6-1.diff.gz
  to pool/main/d/debauch/debauch_0.6-1.diff.gz
debauch_0.6-1_i386.deb
  to pool/main/d/debauch/debauch_0.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 76080@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
RISKO Gergely <risko@debian.org> (supplier of updated debauch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 25 Jun 2001 20:59:19 +0200
Source: debauch
Binary: debauch
Architecture: source i386
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: RISKO Gergely <risko@debian.org>
Changed-By: RISKO Gergely <risko@debian.org>
Description: 
 debauch    - A malloc debugger
Closes: 74697 76080
Changes: 
 debauch (0.6-1) unstable; urgency=low
 .
   * new upstream release, gdb bugfix (closes: Bug#76080)
   * new maintainer (closes: Bug#74697)
Files: 
 27a05e081ed49e1b97e1f4af5fedfb7c 604 devel optional debauch_0.6-1.dsc
 5ad52087ca6f669a6f74d31e53aae1be 31977 devel optional debauch_0.6.orig.tar.gz
 b436f569e6dfbfa2120ce82cc618e9b2 6022 devel optional debauch_0.6-1.diff.gz
 ba51a69b753f7098ad6e8ec4dc08c96f 23986 devel optional debauch_0.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjs3kQAACgkQO0PrGO4KNcfm+gCgmEWtzwGXsAhJVpguqIfwBhC9
oQwAniG2rsdvofr0nc92G4oatTv+LEuC
=L7Ie
-----END PGP SIGNATURE-----



Reply to: